gstreamermm: Gst::DiscovererVideoInfo Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gst::DiscovererVideoInfo Class Reference

DiscovererVideoInfo - Gst::DiscovererStreamInfo specific to video streams (this includes images). More...

Inheritance diagram for Gst::DiscovererVideoInfo:
[legend]
Collaboration diagram for Gst::DiscovererVideoInfo:
[legend]

List of all members.

## Public Member Functions
virtual | ~DiscovererVideoInfo ()
GstDiscovererVideoInfo* | gobj ()
| Provides access to the underlying C GstMiniObject.
const GstDiscovererVideoInfo* | gobj () const
| Provides access to the underlying C GstMiniObject.
GstDiscovererVideoInfo* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
guint | get_bitrate () const
guint | get_depth () const
guint | get_framerate_denom () const
guint | get_framerate_num () const
guint | get_height () const
bool | is_interlaced () const
bool | is_image () const
guint | get_max_bitrate () const
guint | get_par_denom () const
guint | get_par_num () const
guint | get_width () const
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gst::DiscovererVideoInfo > | wrap (GstDiscovererVideoInfo* object, bool take_copy=false)

## Detailed Description

DiscovererVideoInfo - Gst::DiscovererStreamInfo specific to video streams (this includes images).

## Constructor & Destructor Documentation

virtual Gst::DiscovererVideoInfo::~DiscovererVideoInfo | ( |  | ) | `[virtual]`

## Member Function Documentation

guint Gst::DiscovererVideoInfo::get_bitrate | ( |  | ) | const

Returns:
  The average or nominal bitrate of the video stream in bits/second.

guint Gst::DiscovererVideoInfo::get_depth | ( |  | ) | const

Returns:
  The depth in bits of the video stream.

guint Gst::DiscovererVideoInfo::get_framerate_denom | ( |  | ) | const

Returns:
  The framerate of the video stream (denominator).

guint Gst::DiscovererVideoInfo::get_framerate_num | ( |  | ) | const

Returns:
  The framerate of the video stream (numerator).

guint Gst::DiscovererVideoInfo::get_height | ( |  | ) | const

Returns:
  The height of the video stream in pixels.

guint Gst::DiscovererVideoInfo::get_max_bitrate | ( |  | ) | const

Returns:
  The maximum bitrate of the video stream in bits/second.

guint Gst::DiscovererVideoInfo::get_par_denom | ( |  | ) | const

Returns:
  The Pixel Aspect Ratio (PAR) of the video stream (denominator).

guint Gst::DiscovererVideoInfo::get_par_num | ( |  | ) | const

Returns:
  The Pixel Aspect Ratio (PAR) of the video stream (numerator).

guint Gst::DiscovererVideoInfo::get_width | ( |  | ) | const

Returns:
  The width of the video stream in pixels.

GstDiscovererVideoInfo* Gst::DiscovererVideoInfo::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GstMiniObject.

Reimplemented from Gst::DiscovererStreamInfo.

const GstDiscovererVideoInfo* Gst::DiscovererVideoInfo::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GstMiniObject.

Reimplemented from Gst::DiscovererStreamInfo.

GstDiscovererVideoInfo* Gst::DiscovererVideoInfo::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::DiscovererStreamInfo.

bool Gst::DiscovererVideoInfo::is_image | ( |  | ) | const

Returns:
  #`true` if the video stream corresponds to an image (i.e. only contains one frame).

bool Gst::DiscovererVideoInfo::is_interlaced | ( |  | ) | const

Returns:
  `true` if the stream is interlaced, else `false`.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::DiscovererVideoInfo > wrap | ( | GstDiscovererVideoInfo * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

Parameters:

  object | The C instance
  take_copy | false if the result should take ownership of the C instance. true if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/discovererinfo.h